<?php
/**-----------------------------------------------
*
* Rooty, 2018 <rooty@rooty.me>
*
*
* This software is protected by copyright, please
* read the file COPYRIGHT.
* This program is distributed in the hope that it
* will be useful, but without any warranty; without
* even the implied warranty of merchantability or
* fitness for a particular purpose. Please
* read the file LICENCE.
*
* Fichier JsCalls.php
*
* Ce fichier contient la classe JsCalls
*
* @author Rooty <www.rooty.me | rooty@rooty.me>
* @copyright Copyright &copy; 2017
* @since 2017/01/13
* @version 0.3
* @link www.rooty.me
* @package object_printing
* @subpackage JsCalls
*/

if ( !defined('SYSTEM_IN') )
{
 die("Hacking attempt");
}

/**
* Classe JsCalls
*<p>Cette classe permet la recuperation des appels des scripts Javascript</p>
* @package object_printing
* @subpackage JsCalls
*/

class JsCalls extends Printing
{
	//
	// Constructor
	//
/**
* Constructeur de la classe UserPrint
* @access public
*/
	function JsCalls()
	{
		$this->__construct();
	}

	function __construct()
	{
		parent::__construct("1.0", "Rooty", "Gère les appels des scripts Javascript pour une inclusion globale");
	}

/**
* Remplace dans la template principale
* @access public
*/
	function __print()
	{
		global $SERVER_NAME, $SCRIPT_NAME, $CONF_AUTH_SECURE;
		
		$MaTemplate = new ModeliXeQware($GLOBALS['SYSTEM_TEMPLATE_PATH'].$GLOBALS['SYSTEM_TEMPLATE_DIR']."object_printing/jscalls/jscalls.mxt");
		$MaTemplate->SetModeliXe(true);
		
// 		$MaTemplate->MxText("jscalls".".jscall", "data/javascript/bootstrap-datepicker.min.js");
// 		$MaTemplate->MxText("jscalls".".jsCall", "data/javascript/bootstrap-datepicker.min.js");

		$jscalls=$MaTemplate->MxWrite();
    
		$GLOBALS["SYSTEM_TEMPLATE"]->MxText("jscalls", $jscalls);	// Et voila!!!!!
		return true;
	}
}
?>
